// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - DERIVE.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>

const ZafClassID ID_DERIVED_BUTTON = 4000;

class DerivedButton : public ZafButton
{
public:
	DerivedButton(const ZafIChar *name, ZafObjectPersistence &persist);
	ZafEventType Event(const ZafEventStruct &event);
	ZafEventType Draw(const ZafEventStruct &event, ZafEventType ccode);

	static ZafElement *Read(const ZafIChar *name, ZafObjectPersistence &persist);

	// --- Class identification ---
	static ZafClassID ZAF_FARDATA classID;
	static ZafClassNameChar ZAF_FARDATA className[];
	virtual ZafClassID ClassID(void) const { return (classID); }
	virtual ZafClassName ClassName(void) const { return (className); }
	virtual bool IsA(ZafClassID compareID) const;
	virtual bool IsA(ZafClassName compareName) const;
};
